Subject: Re: bug#18195: 24.3.92; window-screen-lines is not accurate

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Aug 2014 20:26:08 +0300

> Date: Wed, 06 Aug 2014 20:37:02 +0400
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> On 08/06/2014 08:25 PM, Eli Zaretskii wrote:
> 
> >> Underline, bold, italic..?
> >
> > They all use fonts that are different from the default one, and thus
> > change the height of the screen lines, if only by a few pixels.
> 
> Not necessarily. At least, I can change my default face's :bold and 
> :underline properties to t, and the line height doesn't change.

Sheer luck.

> This probably depends on whether you have bold, underline, etc, variants 
> of the same font installed in the system.

No, it depends on the font design AFAIK.  In general, you cannot
expect the bold, underline, and italics variants to have the same
metrics, IME.